Bug 194819

Summary: Ktouch has problem inputing CJK characters
Product: ktouch Reporter: Franklin Weng <franklin>
Component: generalAssignee: Haavard Froeiland <haavard>
Status: RESOLVED FIXED    
Severity: normal CC: sebastian.gottfried
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Mandriva RPMs   
OS: Unspecified   
Latest Commit: Version Fixed In: 2.0
Attachments: Ktouch screenshot for inputing Chinese characters

Description Franklin Weng 2009-06-01 07:10:25 UTC
Version:            (using KDE 4.2.2)
Installed from:    Mandriva RPMs

We are making ktouch training lectures for Chinese.  We have already built our own keyboard layout file.  But when trying typing Chinese in ktouch, we got some problems.  Using CJK input method (for example scim or gcin), we usually need to type several keys to input one Chinese character.  But in ktouch, each key I typed got a small rectangular (just like a key input).  I can get the correct final Chinese character, but it would never be correct in the training lesson.  I'll attach a screenshot for you to understand.
Comment 1 Franklin Weng 2009-06-01 07:24:23 UTC
Created attachment 34157 [details]
Ktouch screenshot for inputing Chinese characters

When typing a Chinese character in ktouch, every key I typed became a small rectangular in ktouch student line.  However, the typing key should be used in input method (like gcin) but not in ktouch.  Ktouch should accept only the final Chinese character.
Comment 2 Sebastian Gottfried 2012-11-20 19:29:47 UTC
Git commit e0ba90b4d03138279dc6f9637dae54d95b7df79e by Sebastian Gottfried.
Committed on 16/11/2012 at 20:20.
Pushed by gottfried into branch 'master'.

training screen: fix key event handling wrt to CJK input methods

I must confess that I as an European citizin have only little insights
into the nature of those input methods but at least the behavior of
KTouch is now consistent to the normal Qt input widgets when used with
IBUS: We show the preedit text (which we don't check for errors,
obviously) and the suggestions popup, if there is any, is positioned
right next to the cursor caret there it is supposed to be.
FIXED-IN: 2.0

M  +30   -0    src/declarativeitems/traininglinecore.cpp
M  +11   -0    src/declarativeitems/traininglinecore.h
M  +44   -5    src/qml/TrainingLine.qml

http://commits.kde.org/ktouch/e0ba90b4d03138279dc6f9637dae54d95b7df79e